import java.util.*;

public class Player {
	protected Vector cards;
	protected Card stack;
	
	Player(Card st) {
		cards = new Vector();
		stack = st;
	}

	void pullCard() {
		cards.addElement(new Integer(stack.get_card()));
	}
	
	void backCard() {
        cards.removeAllElements();
    }
	
	public int cardStat(){
		Integer obj;
		int obj_num=1;
		 obj = (Integer)cards.elementAt(0);
         obj_num = obj.intValue();
		 return obj_num;
	}
	
	int totalScore() {
        int num=0;   // "1"の枚数
        int sum=0;   // 合計
        int n = 0;
        int obj_num;
        Integer obj;

        for(int i=0; i < cards.size(); i++) {
            obj = (Integer)cards.elementAt(i);
            obj_num = obj.intValue();
            n = obj_num % 100;

            if(n > 10) { n = 10; }
			else if(n == 1) {
                n = 11;
                num++;
            }
            sum += n;
		}
        for(int i=0; i<num; i++) {
            if(sum <= 21) break;
            sum -= 10;
        }
        return sum;
    } 
}